Subject: Re: [PATCH net-next 4/5] net: mvneta: introduce xdp counters to ethtool

From: Andrew Lunn <[email-masked]>
Date: Mon, 17 Feb 2020 14:05:15 +0100

On Mon, Feb 17, 2020 at 11:32:09AM +0100, Jesper Dangaard Brouer wrote:
> On Mon, 17 Feb 2020 11:25:50 +0100
> Lorenzo Bianconi <[email-masked]> wrote:
> 
> > > On Sun, 16 Feb 2020 22:07:32 +0100
> > > Lorenzo Bianconi <[email-masked]> wrote:
> > >   
> > > > @@ -2033,6 +2050,7 @@ mvneta_xdp_submit_frame(struct mvneta_port *pp, struct mvneta_tx_queue *txq,
> > > >  	u64_stats_update_begin(&stats->syncp);
> > > >  	stats->es.ps.tx_bytes += xdpf->len;
> > > >  	stats->es.ps.tx_packets++;
> > > > +	stats->es.ps.xdp_tx++;
> > > >  	u64_stats_update_end(&stats->syncp);  
> > > 
> > > I find it confusing that this ethtool stats is named "xdp_tx".
> > > Because you use it as an "xmit" counter and not for the action XDP_TX.
> > > 
> > > Both XDP_TX and XDP_REDIRECT out this device will increment this
> > > "xdp_tx" counter.  I don't think end-users will comprehend this...
> > > 
> > > What about naming it "xdp_xmit" ?  
> > 
> > Hi Jesper,
> > 
> > yes, I think it is definitely better. So to follow up:
> > - rename current "xdp_tx" counter in "xdp_xmit" and increment it for
> >   XDP_TX verdict and for ndo_xdp_xmit
> > - introduce a new "xdp_tx" counter only for XDP_TX verdict.
> > 
> > If we agree I can post a follow-up patch.
> 
> I agree, that sounds like an improvement to this patchset.
> 
> 
> I suspect David Ahern have some opinions about more general stats for
> XDP, but that it is a more general discussion, that it outside this
> patchset, but we should also have that discussion.

Hi Jesper

I've not been following XDP too much, but xdp_xmit seems pretty
generic. It would be nice if all drivers used the same statistics
names. Less user confusion that way. So why is this outside of the
discussion?

	Andrew